## rippletv rippletv |

## Properties

GstRippleTVMode | mode | Read / Write
gboolean | reset | Write

## Types and Values

struct | GstRippleTV

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstRippleTV

## Description

RippleTV does ripple mark effect on the video input. The ripple is caused by motion or random rain drops.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! rippletv ! videoconvert ! autovideosink

This pipeline shows the effect of rippletv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | FUKUCHI, Kentarou <fukuchi@users.sourceforge.net>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx, xBGR, xRGB }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx, xBGR, xRGB }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstRippleTV

    struct GstRippleTV;

## Property Details

### The `“mode”` property

      “mode”                     GstRippleTVMode

Mode.

Flags: Read / Write

Default value: Motion Detection

### The `“reset”` property

      “reset”                    gboolean

Reset all current ripples.

Flags: Write

Default value: FALSE